%define	module	DBD-Pg
%define	name	perl-%{module}
%define	version	1.49
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PostgreSQL database driver for the DBI module
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBD/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
Buildrequires:	perl(DBI)
Buildrequires:	perl-devel
Buildrequires:	postgresql-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PostgreSQL database driver for the DBI module

%prep
%setup -q -n %{module}-%{version}
rm -f t/00-signature.t

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=%{_libdir}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*

%changelog
* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New release 1.49

* Sat Apr 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.48-1mdk
- New release 1.48
- better source URL
- better buildrequires syntax

* Wed Mar 22 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.47-1mdk
- 1.47

* Mon Mar 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.46-1mdk
- New release 1.46

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdk
- New release 1.45
- spec cleanup

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.43-3mdk
- Rebuild

* Fri Sep 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-2mdk
- source URL
- add missing automatic provides

* Fri Jun 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- 1.43

* Thu Jun 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- 1.42

* Sun Apr 17 2005 Olivier Thauvin <nanardon@mandrake.org> 1.41-1mdk
- 1.41
- rebuild against latest postgres
- move test in %%check
- %%mkrel

* Thu Feb 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.40-1mdk
- 1.40

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.32-2mdk
- rebuild for new perl
- add tests to build phase

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.32-1mdk
- 1.32
- quiet setup
- spec cosmetics

* Thu Nov 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.31-1mdk
- new version

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-5mdk
- rebuild for new perl
- rm -rf %{buildroot} in %%install, not %%prep
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.22-4mdk
- rebuild for new auto{prov,req}

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-3mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Apr 20 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-2mdk
- fixed BuildRequires (thx Stefan van der Eijk <stefan@eijk.nu>)

* Tue Apr 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.22-1mdk
- 1.22

* Tue Mar  4 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.21-2mdk
- rebuild (had a require on libpq.so.2, which is not in the distro anymore)

* Mon Jan 13 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.21-1mdk
- 1.21

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Tue Aug 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.01-4mdk
- rebuild for multi-thread perl

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.01-3mdk
- rebuild for perl 5.8.0

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-2mdk
- fix buildrequires ( thx Arnaud )

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.01-1mdk
- updated to 1.01

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.95-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
